summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xautogen.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index 3983feb5..7377a64a 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -3,5 +3,12 @@
set -e
+if [ ! -f configure.ac -o ! -f COPYING ]; then
+ echo "Doesn't look like you're in the source directory" >&2
+ exit 1
+fi
+
+# old autoreconf/aclocal versions fail hard if m4 doesn't exist
+mkdir -p m4
autoreconf --force --install
echo "Now type './configure ...' and 'make' to compile."